<?php

namespace Drupal\commerce_epayco;

use Drupal\epayco\GatewayHandlerInterface;

/**
 * Interface for Commerce ePayco handler.
 */
interface CommerceGatewayHandlerInterface extends GatewayHandlerInterface {

  /**
   * Method to check pending payments. Useful for cron executions.
   *
   * @param array $conf
   *   Values to override into this method.
   */
  public function checkPendingPayments(array $conf = []) : array;

  /**
   * Helper method to load ePayco-made payments by remote ID.
   *
   * @param array $remote_id
   *   The remote transaction IDs.
   */
  public function loadMultiplePaymentsByRemoteId(array $remote_id) : array;

}
